# Create tag.

Create tag.

Endpoint: POST /tags
Version: 1.0.0
Security: Token

## Request fields (application/json):

  - `type` (string, required)
    The type of the tag.
    Enum: "order", "customer_team", "product", "order_form", "virtual_staging_ai"

  - `name` (string, required)
    The name of the tag.
    Example: "Photography"

  - `color` (string, required)
    The color of the tag.
    Example: "#FFFFFF"

## Response 201 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (object)
    A label attached to something for the purpose of identification or categorization.

  - `data.object` (string)
    A canonical value representing a resource.
    Enum: "APP\\TAGS\\MODELS\\TAG"

  - `data.id` (string, required)
    ID. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.name` (string, required)
    The name of the tag.
    Example: "Photography"

  - `data.slug` (string, required)
    The slug of the tag.
    Example: "photography"

  - `data.color` (string, required)
    The background color of the tag.
    Example: "#8BC34A"

  - `data.font_color` (string, required)
    The font color of the tag.
    Example: "#FFFFFF"

  - `data.type` (string)
    The type of the tag.
    Enum: "order", "customer_team", "product", "order_form", "virtual_staging_ai"

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


